import ParameterTypes from "@site/src/components/ParameterTypes"

# RestoreReturn

An object that is used to specify an entity's related entities that should be restored when the main entity is restored.

## Type parameters

<ParameterTypes parameters={[
  {
    "name": "TReturnableLinkableKeys",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />

## Properties

<ParameterTypes parameters={[
  {
    "name": "returnLinkableKeys",
    "type": "`TReturnableLinkableKeys`[]",
    "description": "An array of strings, each being the ID attribute names of the entity's relations.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />
